IDM 4.5.3 Plugin in iManager 2.7.x on OES11 SP2 stops working

  • 7017286
  • 22-Feb-2016
  • 11-Mar-2016

Environment

Novell Open Enterprise Server 11 (OES 11) Linux Support Pack 2
Novell Open Enterprise Server 2015 (OES 2015) Linux
NetIQ Identity Manager 4.5
NetIQ Identity Manager Plug-ins for IDM 4.5.3.0

Situation

With iManager installed on an OES11 sp2 server, or on an OES 2015 server, after upgrading the NetIQ Identity Manager Plug-ins for IDM to the 4.5.3.0 version (Local Version 10.7.20160113), trying to bring up the Identity manager Administration widget returns a system error.

java.lang.UnsupportedClassVersionError: JVMCFRE003 bad major version; class=com/novell/nds/dirxml/engine/gcv/GCVException, offset=6 (unable to load class com.novell.nds.dirxml.engine.gcv.GCVException)\n at ..........

Resolution

At present, there are three options available:

1. Downgrade the IDM Administration plug-in to a last known good version.
2. Utilize the iManager Remote until the OES channel has an updated version of java.
3. Set up a (non-OES) iManager server

Cause

OES11SP2 and OES2015 are based on SLES11sp3; Both were bundled with java 1.6. 

Status

Reported to Engineering

Feedback service temporarily unavailable. For content questions or problems, please contact Support.